html {
  overflow-y: scroll;
}
body, html{
  margin:0;
  padding:0;
  font-family: 'Nunito', helvetica;
  letter-spacing: 0.03rem;
  font-weight: normal;
  color: #FFFFFF;
  background: linear-gradient(to right, #0e2d75 0%,#721313 100%);

}
h2 {
  font-weight: bold;
  font-style: italic;
  margin: 0;
}
a {
  text-decoration: underline;
  color: #FFFFFF;
}
.item:hover, .item:active, a:hover, a:active {
  color: #a5a5a5;
  text-decoration: none;
}
.connect:hover, .connect:active {
  color: #721313;
  background-color: #a5a5a5;
}

body {
  display: flex;
  height: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.content:after {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.heading {
  display: grid;
  justify-content: center;
  justify-items: center;
  margin: 0;
  padding: 0;
  align-content: center;
  align-items: center;
  -webkit-transition: all .5s;
  -moz-transition: all .5s;
  -o-transition: all .5s;
  transition: all .5s;
  height: 15vh;
  z-index: 15;


}

.no-display {
  display:none;
}
/*
#root-control:checked ~ .heading {
  -webkit-transform: translateY(-40vh);
  transform: translateY(-40vh);
}
 @media (min-height: 600px) {
  #root-control:checked ~ .heading {
   -webkit-transform: translateY(-45vh);
   transform: translateY(-45vh);
  }
}
*/
.item {
  display: flex;
  justify-content: center;
  align-self: center;
  margin: 0;
  flex-basis: fit-content;
}

.title {
  grid-column: 1 / span 4;
  align-self: flex-end;
  font-size: 1.5rem;
  text-align: center;
  font-weight: 900;
  font-style: italic;
}
@media (min-width: 350px) {
    .title{
        font-size: 2rem;
    }
}

.connect {
  background-color: #FFFFFF;
  color: #721313;
  padding-left: 0.3rem;
  padding-right: 0.3rem;
  border-radius: 4px;

}

.unselectable {
  -moz-user-select: -moz-none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -o-user-select: none;
  user-select: none;
}

.content {
  display: grid;
  width: 200px;
  height: 200px;
  background-color: blue;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.2s, opacity 0.2s linear;
  z-index: 10;
}
#root-control:checked ~ .content {
  display: grid;
  visibility: visible;
  opacity: 1;
}



.cont {
  display: grid;
  grid-column: 1 / span 4;
  height: 0;
  transition: all .5s;
}


#root-control:checked ~ .cont {
  /*align-self: stretch;*/
  height: 0;
}
#root-control:checked ~ .cont>#about-card,
#root-control:checked ~ .cont>#code-card,
#root-control:checked ~ .cont>#blog-card,
#root-control:checked ~ .cont>#connect-card {
  /*align-self: stretch;*/
  height: 0;
  opacity: 0;
  visibility: hidden;
}

#about-ctrl:checked ~ .cont {
  height: 85vh;
}
#about-ctrl:checked ~ .cont>#about-card {
  /*align-self: stretch;*/
  height: auto;
  opacity: 1;
  visibility: visible;
}
#about-ctrl:checked ~ .cont>#code-card,
#about-ctrl:checked ~ .cont>#blog-card,
#about-ctrl:checked ~ .cont>#connect-card {
  /*align-self: stretch;*/
  height: 0;
  opacity: 0;
  visibility: hidden;
}

#code-ctrl:checked ~ .cont {
  height: 85vh;
}
#code-ctrl:checked ~ .cont>#code-card {
  /*align-self: stretch;*/
  height: auto;
  opacity: 1;
  visibility: visible;
}
#code-ctrl:checked ~ .cont>#about-card,
#code-ctrl:checked ~ .cont>#blog-card,
#code-ctrl:checked ~ .cont>#connect-card {
  /*align-self: stretch;*/
  height: 0;
  opacity: 0;
  visibility: hidden;
}

#blog-ctrl:checked ~ .cont {
  height: 85vh;
}
#blog-ctrl:checked ~ .cont>#blog-card {
  /*align-self: stretch;*/
  height: auto;
  opacity: 1;
  visibility: visible;
}
#blog-ctrl:checked ~ .cont>#about-card,
#blog-ctrl:checked ~ .cont>#code-card,
#blog-ctrl:checked ~ .cont>#connect-card {
  /*align-self: stretch;*/
  height: 0;
  opacity: 0;
  visibility: hidden;
}

#connect-ctrl:checked ~ .cont {
  height: 85vh;
}
#connect-ctrl:checked ~ .cont>#connect-card {
  /*align-self: stretch;*/
  height: auto;
  opacity: 1;
  visibility: visible;
}
#connect-ctrl:checked ~ .cont>#about-card,
#connect-ctrl:checked ~ .cont>#code-card,
#connect-ctrl:checked ~ .cont>#blog-card {
  /*align-self: stretch;*/
  height: 0;
  opacity: 0;
  visibility: hidden;
}
/*
input[type="radio"]:checked ~ .cont {
  align-self: stretch;
  height: 90vh;
}*/

.card {
  height: 0;
  position: absolute;
  left: 0;
  right: 0;
  max-width: 40rem;
  max-height: 85vh;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1rem;
  padding-right: 1rem;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.3s, opacity 0.3s linear;
}

.social {
  width: 100%;
  display: flex;
  justify-content: center;
  text-align: center;
}
.social>a {
  margin: 0 auto;
  height: 100px;
}
@media screen and (max-width:320px) {
  .social {flex-wrap: wrap;}
}
.social-svg {
  height: 100%;
}

a>.social-svg>path{
  fill: #d70087;

}

#lab-img {
  max-width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 0px;
  margin-right: 0px;


}